Bug 518450 - Review Request: moblin-panel-status - Moblin Panel for Social Network Status
Review Request: moblin-panel-status - Moblin Panel for Social Network Status
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Michel Alexandre Salim
Fedora Extras Quality Assurance
:
Depends On: 513452
Blocks: FedoraMoblin20
  Show dependency treegraph
 
Reported: 2009-08-20 09:07 EDT by Peter Robinson
Modified: 2009-08-28 13:04 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-28 13:04:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
michel: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Peter Robinson 2009-08-20 09:07:19 EDT
SPEC: http://pbrobinson.fedorapeople.org/moblin-panel-status.spec
SRPM: http://pbrobinson.fedorapeople.org/moblin-panel-status-0.0.3-1.fc11.src.rpm
koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=1617446

Description:
The Moblin mutter panel for managing of social networks and your current status.
This includes tweeting on twitter and updating of MySpace, FaceBook and you IM 
status.
Comment 1 Michel Alexandre Salim 2009-08-21 16:34:45 EDT
Some minor rpmlint error -- use Emacs M-q to fix?

moblin-panel-status.i686: E: description-line-too-long The Moblin mutter panel for managing of social networks and your current status.
1 packages and 0 specfiles checked; 1 errors, 0 warnings.

SRPM's rpmlint is clean.
Comment 2 Michel Alexandre Salim 2009-08-21 16:44:52 EDT
The only other problem is with the license file (see note within the review).

MUST

• package name: OK
• spec file name: OK
• package guideline-compliant: OK
• license complies with guidelines: OK

• license field accurate:
• license file not deleted

Note: bundled license file is inaccurate (LGPL, not GPL). Contact upstream developers? The source file headers all refer to GPLv2+ so I'm assuming that's the correct one

• spec in US English: OK
• spec legible: OK
• source matches upstream: OK
• builds under >= 1 archs, others excluded: OK (Koji)
• build dependencies complete: OK (Koji)
• locales handled using %find_lang, no %{_datadir}/locale: OK
• own all directories: OK
• no dupes in %files: OK
• permission: OK
• %clean RPM_BUILD_ROOTL OK
• macros used consistently: OK
• Package contains code: OK
• clean buildroot before install: OK
• filenames UTF-8: OK

SHOULD
• if license text missing, ask upstream to include it
  Not missing in this case, but inaccurate (worse?)

• package build in mock on all architectures: OK
• package functioned as described
  Not tested yet

• scriplets are sane: OK
• require package not files: OK
Comment 3 Peter Robinson 2009-08-21 18:26:23 EDT
> Note: bundled license file is inaccurate (LGPL, not GPL). Contact upstream
> developers? The source file headers all refer to GPLv2+ so I'm assuming that's
> the correct one

I will query upstream to get them to update the COPYING file but the package was split out of mutter-moblin and its GPLv2 so it will be the same license.
Comment 4 Peter Robinson 2009-08-21 18:40:10 EDT
Upstream query http://lists.moblin.org/pipermail/dev/2009-August/005861.html
Comment 5 Michel Alexandre Salim 2009-08-26 03:11:18 EDT
Let's move on while waiting on that -- just make a note to fix it once we hear back from upstream. After all, it is valid to choose to revert any LGPL package under the corresponding GPL version.

APPROVED
Comment 6 Peter Robinson 2009-08-26 04:21:03 EDT
Thanks Michael. I'll add a note to the spec file.

New Package CVS Request
=======================
Package Name: moblin-panel-status
Short Description: Moblin Panel for Social Network Status
Owners: pbrobinson
Branches: F-11
InitialCC:
Comment 7 Kevin Fenzi 2009-08-26 18:34:06 EDT
cvs done.
Comment 8 Peter Robinson 2009-08-28 13:04:55 EDT
Imported into CVS. Has build issues at the moment as the telepathy-mission-control has broken anerley.

Note You need to log in before you can comment on or make changes to this bug.